import { defaultRadioGroupConfig, foundationRadioGroupShadowOptions, RadioGroup as FoundationRadioGroup, } from '@genesislcap/foundation-ui';
import { zeroRadioGroupStyles as styles } from './radio-group.styles';
import { zeroRadioGroupTemplate as template } from './radio-group.template';
/**
 * @tagname %%prefix%%-radio-group
 */
export class RadioGroup extends FoundationRadioGroup {
}
export const zeroRadioGroup = RadioGroup.compose({
    baseName: 'radio-group',
    template,
    styles,
    shadowOptions: foundationRadioGroupShadowOptions,
    ...defaultRadioGroupConfig,
});
